/**
 * @type {import('@jest/types').Config.InitialOptions}
 */
const config = {
  maxWorkers: 1,
  watchPathIgnorePatterns: ["node_modules"],
  moduleFileExtensions: ["mjs", "js", "json"],
  moduleDirectories: ["node_modules", "test", "src"],
  modulePaths: ["<rootDir>"],
  rootDir: ".",
  testRegex: ".*\\.spec\\.mjs$",
  setupFiles: ["./test/setup-tests.js"],
  setupFilesAfterEnv: ["./test/setup-tests-after-env.js"],
  globalSetup: "./test/global-setup.js",
  testEnvironment: "node",
  resetMocks: true,
  restoreMocks: true,
  transform: {
    "^.+\\.m?js$": "babel-jest",
  },
  /**
   * The tests will use http to execute the templates. So this is necessary if the internet connection is slow.
   */
  testTimeout: 30_000,
};

module.exports = config;
