import {
  executeTemplate,
  buildFixture,
} from "@constructor-io/constructorio-connect-cli";

describe("mapping", () => {
  it("should match inline snapshot", async () => {
    const result = await executeTemplate({
      type: "mapping",
      name: "mapping.jsonata",
      fixture: buildFixture("mapping", "mapping.json", {
        title: "New Title",
      }),
    });

    // Alternatively, you can also store the snapshot in a file to reduce clutter.
    // expect(result).toMatchSnapshot();

    expect(result).toMatchInlineSnapshot(`
{
  "item_groups": [
    {
      "id": "smartphones",
    },
  ],
  "items": [
    {
      "__variations": [
        {
          "color": "midnight-black",
        },
        {
          "color": "fancy-silver",
        },
        {
          "color": "rich-gold",
        },
        {
          "color": "sky-blue",
        },
        {
          "color": "crimson-red",
        },
        {
          "color": "green-forest",
        },
      ],
      "brand": "Apple",
      "category": "smartphones",
      "colors": [
        "midnight-black",
        "fancy-silver",
        "rich-gold",
        "sky-blue",
        "crimson-red",
        "green-forest",
      ],
      "description": "SIM-Free, Model A19211 6.5-inch Super Retina HD display with OLED technology A12 Bionic chip with ...",
      "discountPercentage": 17.94,
      "id": "iphone-x",
      "images": [
        "https://cdn.dummyjson.com/product-images/2/1.jpg",
        "https://cdn.dummyjson.com/product-images/2/2.jpg",
        "https://cdn.dummyjson.com/product-images/2/3.jpg",
        "https://cdn.dummyjson.com/product-images/2/thumbnail.jpg",
      ],
      "price": 899,
      "rating": 4.44,
      "stock": 34,
      "thumbnail": "https://cdn.dummyjson.com/product-images/2/thumbnail.jpg",
      "title": "New Title",
    },
  ],
  "variations": [],
}
`);
  });
});
