import {
  executeTemplate,
  buildFixture,
} from "@constructor-io/constructorio-connect-cli";

describe("variation", () => {
  it("should match inline snapshot", async () => {
    const result = await executeTemplate({
      type: "variation",
      name: "variation.jsonata",
      fixture: buildFixture("variation", "variation.json", {
        name: "stylish boots",
      }),
    });

    // Alternatively, you can also store the snapshot in a file to reduce clutter.
    // expect(result).toMatchSnapshot();

    expect(result).toMatchInlineSnapshot(`
{
  "facets": [
    {
      "key": "price",
      "value": 50,
    },
  ],
  "item_name": "These are my stylish boots!",
  "metadata": [
    {
      "key": "color",
      "value": "red",
    },
  ],
}
`);
  });
});
