export declare const TYPE_OPTIONS: readonly ["item", "variation", "item_group", "mapping", "grouping"];
export interface ExecuteTemplateArgs {
    type: (typeof TYPE_OPTIONS)[number];
    name: string;
    fixture?: Record<string, unknown>;
    externalData?: Record<string, unknown>;
    connectionId?: string;
}
/**
 * This will execute a template with the given type, name, fixture, and externalData.
 * It returns an object with the result of the execution, or throws if there is an error.
 *
 * The template will be executed against the first connection found, or you can override
 * this behavior and select a specific connection by providing a connectionId.
 *
 * If no connection is found, an error will be thrown.
 *
 * @param options @type ExecuteTemplateArgs
 * @returns Promise<Record<string, any>>
 */
export declare function executeTemplate(options: ExecuteTemplateArgs): Promise<Record<string, any>>;
//# sourceMappingURL=execute-template.d.ts.map