/**
 * Generates a string representing a command that can be directly pasted
 * into the terminal from the provided inputs describing the command.
 * This is useful for providing in-command suggestions to the user for what they may
 * want to run next.
 *
 * @param commandName Name of the command that should be printed (e.g. "execute" or "init").
 * @param args The positional arguments to be passed to the command. Must be in order.
 * @param inputFlags A map of flag names to the values that should be printed in the command.
 * @returns A string representing a ready to execute command.
 */
export declare function generateCommandInput({ commandName, args, inputFlags }: Args): string;
interface Args {
    commandName: string;
    args?: string[];
    inputFlags?: Record<string, string>;
}
export {};
//# sourceMappingURL=generate-command-input.d.ts.map